spirv-llvm-translator-20 (20.1.11-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.16-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2026 13:35:34 +0100

spirv-llvm-translator-20 (20.1.10-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.15-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Feb 2026 20:11:59 +0100

spirv-llvm-translator-20 (20.1.9-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.14-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Dec 2025 22:11:00 +0100

spirv-llvm-translator-20 (20.1.8-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.13-1.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Nov 2025 23:43:39 +0100

spirv-llvm-translator-20 (20.1.7-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.12-1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Oct 2025 15:19:10 +0200

spirv-llvm-translator-20 (20.1.6-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.11-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Update .symbols control file for gcc-15 builds.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Sep 2025 03:04:38 +0200

spirv-llvm-translator-20 (20.1.5-1) experimental; urgency=medium

  * New upstream release.
  * Restrict watch file to 20.* releases.
  * Merge changes from spirv-llvm-translator-19 19.1.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Aug 2025 23:08:05 +0200

spirv-llvm-translator-20 (20.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.6-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Apr 2025 21:47:14 +0200

spirv-llvm-translator-20 (20.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fork source package as spirv-llvm-translator-20.
  * Rename binary packages: *19* => *20*.
  * Build with llvm 20.
  * Update visibility-hidden.patch.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Mar 2025 19:27:29 +0100

spirv-llvm-translator-19 (19.1.16-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.21-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2026 02:02:33 +0100

spirv-llvm-translator-19 (19.1.15-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.20-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Feb 2026 20:27:04 +0100

spirv-llvm-translator-19 (19.1.14-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.19-1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Dec 2025 09:40:00 +0100

spirv-llvm-translator-19 (19.1.13-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.18-1.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 Nov 2025 21:55:43 +0100

spirv-llvm-translator-19 (19.1.12-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.17-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Oct 2025 14:15:03 +0200

spirv-llvm-translator-19 (19.1.11-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Sep 2025 03:19:41 +0200

spirv-llvm-translator-19 (19.1.10-2) unstable; urgency=medium

  * Update .symbols control file for gcc-15 builds.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Sep 2025 15:42:44 +0200

spirv-llvm-translator-19 (19.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Aug 2025 11:56:25 +0200

spirv-llvm-translator-19 (19.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.11-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Apr 2025 12:14:16 +0200

spirv-llvm-translator-19 (19.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Restrict watch file to 19.* releases.
  * Merge changes from spirv-llvm-translator-18 18.1.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.
 -- Andreas Beckmann <anbe@debian.org>  Sun, 23 Mar 2025 21:48:51 +0100

spirv-llvm-translator-19 (19.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.3.280.0.
  * Merge changes from spirv-llvm-translator-18 18.1.8-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Jan 2025 09:32:03 +0100

spirv-llvm-translator-19 (19.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.7-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Dec 2024 08:37:24 +0100

spirv-llvm-translator-19 (19.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Sep 2024 03:17:47 +0200

spirv-llvm-translator-19 (19.~~+git20240826-5) unstable; urgency=medium

  * Merge changes from spirv-llvm-translator-18 18.1.4-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Sep 2024 14:57:59 +0200

spirv-llvm-translator-19 (19.~~+git20240826-4) unstable; urgency=medium

  * tests: Bump to llvm 19.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2024 16:13:16 +0300

spirv-llvm-translator-19 (19.~~+git20240826-3) unstable; urgency=medium

  * rules: Don't fail if symbols do not match.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2024 13:54:46 +0300

spirv-llvm-translator-19 (19.~~+git20240826-2) unstable; urgency=medium

  * Update symbols some more.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 16:57:07 +0300

spirv-llvm-translator-19 (19.~~+git20240826-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #1079854)
  * Fork source package as spirv-llvm-translator-19.
  * Build with llvm 19, rename binary packages.
  * Update snapshot.sh.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 16:53:12 +0300

spirv-llvm-translator-18 (18.1.21-1) unstable; urgency=medium

  * New upstream release.
  * Search lit at more locations.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Mar 2026 23:25:50 +0100

spirv-llvm-translator-18 (18.1.20-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.20-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Feb 2026 00:27:34 +0100

spirv-llvm-translator-18 (18.1.19-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.19-1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Dec 2025 19:22:09 +0100

spirv-llvm-translator-18 (18.1.18-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.18-2.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Nov 2025 00:13:22 +0100

spirv-llvm-translator-18 (18.1.17-2) unstable; urgency=medium

  * Merge changes from spirv-llvm-translator-17 17.0.17-2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Nov 2025 22:24:57 +0100

spirv-llvm-translator-18 (18.1.17-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.17-1.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Oct 2025 20:20:13 +0200

spirv-llvm-translator-18 (18.1.16-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Build with g++-14.  (Closes: #1097921)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Sep 2025 18:17:20 +0200

spirv-llvm-translator-18 (18.1.15-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Aug 2025 23:15:55 +0200

spirv-llvm-translator-18 (18.1.11-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.11-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Apr 2025 03:02:48 +0200

spirv-llvm-translator-18 (18.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Mar 2025 21:01:36 +0100

spirv-llvm-translator-18 (18.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.8-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jan 2025 10:46:35 +0100

spirv-llvm-translator-18 (18.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.7-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Dec 2024 20:36:55 +0100

spirv-llvm-translator-18 (18.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-17 17.0.4-1.
  * Update .symbols control file.
  * Restrict watch file to 18.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2024 00:22:52 +0200

spirv-llvm-translator-18 (18.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 23 Jun 2024 23:17:36 +0200

spirv-llvm-translator-18 (18.1.0-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1066095)
  * Rename libllvmspirvlib18 to libllvmspirvlib18.1 after soname bump.
  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_180 branch (v18.1.0-1-g16b29007).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2024 22:07:06 +0100

spirv-llvm-translator-18 (18.~~+git20240215-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fork source package as spirv-llvm-translator-18.
  * Rename binary packages: *17* => *18*.
  * Build with llvm 18.
  * Update visibility-hidden.patch.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Feb 2024 01:16:58 +0100

spirv-llvm-translator-17 (17.0.20-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.21-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Feb 2026 23:37:19 +0100

spirv-llvm-translator-17 (17.0.19-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.19-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Dec 2025 23:20:01 +0100

spirv-llvm-translator-17 (17.0.18-2) unstable; urgency=medium

  * Merge changes from spirv-llvm-translator-16 16.0.18-1.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 23 Nov 2025 09:05:26 +0100

spirv-llvm-translator-17 (17.0.18-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Nov 2025 21:54:25 +0100

spirv-llvm-translator-17 (17.0.17-2) unstable; urgency=medium

  * Build with g++-15.
  * Update .symbols control file for GCC 15 builds.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Nov 2025 00:32:56 +0100

spirv-llvm-translator-17 (17.0.17-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.17-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Oct 2025 22:49:07 +0200

spirv-llvm-translator-17 (17.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Build with g++-14.  (Closes: #1097919)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Sep 2025 10:46:57 +0200

spirv-llvm-translator-17 (17.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Aug 2025 03:25:13 +0200

spirv-llvm-translator-17 (17.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.11-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Apr 2025 15:33:14 +0200

spirv-llvm-translator-17 (17.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Mar 2025 03:26:22 +0100

spirv-llvm-translator-17 (17.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.8-1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Jan 2025 14:37:08 +0100

spirv-llvm-translator-17 (17.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.7-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Dec 2024 23:19:46 +0100

spirv-llvm-translator-17 (17.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-16 16.0.4-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Sep 2024 21:25:22 +0200

spirv-llvm-translator-17 (17.0.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1073402)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 22:15:40 +0200

spirv-llvm-translator-17 (17.0.0-5) unstable; urgency=medium

  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_170 branch (v17.0.0-12-ga126a792).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2024 05:07:59 +0100

spirv-llvm-translator-17 (17.0.0-4) unstable; urgency=medium

  * Restrict watch file to 17.* releases.
  * Update .symbols control file.
  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_170 branch (v17.0.0-5-g905441d7).
    (Closes: #1063632)
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Feb 2024 10:17:54 +0100

spirv-llvm-translator-17 (17.0.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark some new symbols as optional as they don't appear with LTO.
    (Closes: #1055378)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Nov 2023 09:53:24 +0100

spirv-llvm-translator-17 (17.0.0-2) unstable; urgency=medium

  * Update .symbols control file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Nov 2023 16:05:21 +0100

spirv-llvm-translator-17 (17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump spirv-headers build-dependency to 1.6.1+1.3.261.
  * Fork source package as spirv-llvm-translator-17.
  * Rename binary packages: *16* => *17*.
  * Build with llvm 17.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Oct 2023 16:29:16 +0200

spirv-llvm-translator-16 (16.0.21-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.20-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Feb 2026 23:12:51 +0100

spirv-llvm-translator-16 (16.0.19-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.19-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Dec 2025 11:52:55 +0100

spirv-llvm-translator-16 (16.0.18-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.18-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Nov 2025 01:12:42 +0100

spirv-llvm-translator-16 (16.0.17-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.17-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Oct 2025 20:17:57 +0200

spirv-llvm-translator-16 (16.0.16-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.328.0.
  * Update .symbols control file.
  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 11:10:17 +0200

spirv-llvm-translator-16 (16.0.15-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.15-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 13:18:32 +0200

spirv-llvm-translator-16 (16.0.11-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.11-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Apr 2025 10:07:57 +0200

spirv-llvm-translator-16 (16.0.10-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Mar 2025 13:02:08 +0100

spirv-llvm-translator-16 (16.0.8-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.8-1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Jan 2025 22:37:13 +0100

spirv-llvm-translator-16 (16.0.7-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.7-1.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2024 21:41:38 +0100

spirv-llvm-translator-16 (16.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-15 15.0.4-2.
  * Update .symbols control file.
  * Update copyright file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Sep 2024 10:49:59 +0200

spirv-llvm-translator-16 (16.0.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1073405)
  * Merge changes from spirv-llvm-translator-15 15.0.1-1.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 11:54:43 +0200

spirv-llvm-translator-16 (16.0.0-7) unstable; urgency=medium

  * Skip upstream testsuite on big-endian architectures (> 60% of the tests
    are failing anyway but ignored) due to excessive disk space usage
    (> 40 GB).  (Closes: #1065395)
  * Update from llvm_release_160 branch (v16.0.0-37-g9c9b6096).
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Mar 2024 20:14:04 +0100

spirv-llvm-translator-16 (16.0.0-6) unstable; urgency=medium

  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_160 branch (v16.0.0-30-g6fd1d4b8).
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Feb 2024 14:42:13 +0100

spirv-llvm-translator-16 (16.0.0-5) unstable; urgency=medium

  * Restrict watch file to 16.* releases.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 14:21:37 +0200

spirv-llvm-translator-16 (16.0.0-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark more symbols as optional as they don't appear with LTO.
    (Closes: #1043047)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Aug 2023 12:20:42 +0200

spirv-llvm-translator-16 (16.0.0-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update .symbols control file for gcc-13 builds.  (Closes: #1042192)

  [ Gianfranco Costamagna ]
  * Mark some more symbols as optional as they don't appear on Ubuntu (LTO?).
    (Closes: #1042819)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Aug 2023 12:09:10 +0200

spirv-llvm-translator-16 (16.0.0-2) unstable; urgency=medium

  * Update from llvm_release_160 branch (v16.0.0-6-g39969a5c).
  * Upload to unstable.  (Closes: #1037466)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2023 14:01:00 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libllvmspirvlib20.1`.
